import { ZwizUserCartItem } from '../../api/type';
export declare class ProfileCartSummary {
    el: HTMLElement;
    cartList: ZwizUserCartItem[];
    isLoading: boolean;
    private disposeListener;
    private prevSelectedChat;
    componentWillLoad(): Promise<void>;
    disconnectedCallback(): void;
    private loadCart;
    private handleClearCart;
    private executeClearCart;
    private getItemTotalPrice;
    private getItemTotalDiscountPrice;
    private get totalDiscountPrice();
    private formatPrice;
    render(): any;
}
